/** Shopify CDN: Minification failed

Line 63:3 Cannot use type selector "--empty" directly after nesting selector "&"

**/
.collection {
  max-width: var(--page-width);
  margin: 0 auto;

  .collection-header {
    display: flex;
    justify-content: space-between;
    gap: var(--spacing-6);
    align-items: center;
    flex-wrap: wrap;
  }

  .title {
    margin: 0;
  }

  .collection-title-wrapper {
    display: flex;
    gap: var(--spacing-3);
  }

  .collection-icon-wrapper {
    display: none;
    height: 64px;
    aspect-ratio: 1;
    background: var(--color-blue-new-0);
    border: 2px solid var(--color-blue-new-1);
    border-radius: var(--border-radius-4);
    justify-content: center;
    align-items: center;
    color: var(--color-blue-new-2);
    margin-top: var(--spacing-2);

    svg {
      width: 32px;
      height: 32px;
    }
  }

  .loading-overlay {
    position: absolute;
    z-index: 1;
    width: 1.8rem;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: none;
    width: 100%;
    padding: 0 1.5rem;
    opacity: 0.7;
  }

  &.loading .loading-overlay {
    display: block;
  }

  &--empty .title-wrapper {
    margin-top: 10rem;
    margin-bottom: 15rem;
  }

  .collection-description > * {
    margin: 0;
  }

  .collection__title {
    &.title-wrapper {
      margin-bottom: 2.5rem;
    }
  }

  .collection__title {
    .title:not(:only-child) {
      margin-bottom: 1rem;
    }
  }

  @media (min-width: 500px) {
    .collection-icon-wrapper {
      display: flex;
    }
  }

  @media (min-width: 750px) {
    .collection-view-all {
      margin-top: 0;
    }
  }
}
